/* 
Theme Name: Terpan Prévention
Theme URI: https://github.com/soflyy/breakdance-zero-theme
Description: Thème pour le site de Terpan Prévention
Author: Boite à Oeufs
Author URI: https://www.boite-a-oeufs.com/
Template: breakdance-zero-theme
Version: 1.0.1
Text Domain: breakdance
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.breakdance a.button:hover {
  text-decoration: none;
}

/* ---------------------------------------------------------------------------------------------- */
/*                                           POST                                                 */
/* ---------------------------------------------------------------------------------------------- */

.single-post .bde-themeless-template-content-area,
.woocommerce-checkout .bde-themeless-template-content-area {
  max-width: var(--bde-section-width);
  margin-left: auto;
  margin-right: auto;
  padding-left: var(--bde-section-horizontal-padding);
  padding-right: var(--bde-section-horizontal-padding);
}

.single-post .breakdance-image-container .breakdance-image-object img {
  display: block;
  width: 100%;
}


/* ---------------------------------------------------------------------------------------------- */
/*                                           WOOCOMMERCE                                          */
/* ---------------------------------------------------------------------------------------------- */

/* ------------------------------------------- Listing ------------------------------------------- */
.woocommerce .products .product .bde-woo-product-footer {
  display: none;
}

.breakdance-woocommerce .woocommerce-LoopProduct-link img {
  height: 100%;
}

/* ------------------------------------------- Product Single ------------------------------------------- */
.woocommerce .woocommerce-product-gallery ol.flex-control-nav {
  flex-wrap: nowrap;
  max-height: calc((19vw + 20px + var(--bde-section-horizontal-padding) + var(--bde-woo-base-big-gaps)) * 2);
  overflow-y: auto;
}

.woocommerce .woocommerce-product-gallery ol.flex-control-nav li {
  flex-shrink: 0;
}

@media (min-width: 700px) {
  .woocommerce .woocommerce-product-gallery ol.flex-control-nav {
    max-height: calc((25vw + 20px + var(--bde-section-horizontal-padding)) * 3);
  }
}

@media (min-width: 1100px) {
  .woocommerce .woocommerce-product-gallery ol.flex-control-nav {
    max-height: calc(15vw * 3);
  }
}

.woocommerce .product .bde-wrap-price-add-cart .bde-wooproductcartbutton {
  display: flex;
  align-items: center;
}

.woocommerce .product .bde-wrap-price-add-cart .bde-wooproductcartbutton form {
  margin-bottom: 0;
}

.woocommerce .breakdance-woocommerce div.product form.cart {
  flex-wrap: nowrap;
}

.woocommerce.single-product .variations tr:only-child th.label:has(label[for=pa_quantite]) {
  display: none;
}

.woocommerce.single-product .variations tr:only-child th.label:has(label[for=pa_format]) {
  display: none;
}

/* ------------------------------------------- Review ------------------------------------------- */
.breakdance-woocommerce .terpan.comment_container {
  display: block;
}

.breakdance-woocommerce .terpan.comment_container img.avatar {
  width: 44px;
  height: 44px;
}

.terpan-review-rating-date {
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-wrap: wrap;
  gap: 10px;
  margin-bottom: 10px;
}

.terpan-review-rating-date .woocommerce-review__published-date {
  color: #939393;
  font-size: 14px;
}

.terpan-review-author {
  display: flex;
  gap: 15px;
  align-items: center;
  color: var(--bde-brand-primary-color);
}

.terpan.comment_container .comment-text {
  margin-top: 20px;
  font-size: 15px;
}

#review_form {
  transition: height .5s, opacity .3s;
  overflow: hidden;
}

#review_form .comment-respond {
  margin-top: 20px;
}

#review_form .comment-form {
  max-width: 800px;
}

#review_form_wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* --------------------------------------- Tags shortcode --------------------------------------- */
.terpan-product-tags,
.terpan-categories {
  display: flex;
  align-items: center;
  gap: 20px;
  flex-wrap: wrap;
}

#selected_category {
  border-top: 1px solid #707070;
  width: 100%;
}

#selected_category a {
  margin-top: 30px;
  display: inline-block;
  padding: 14px 20px;
  background: #1515AA;
  color: #fff;
  border-radius: 28px;
}

#selected_category a::after {
  content: "";
  font-weight: bold;
  margin-left: 15px;
  background-image: url("assets/img/Croix.svg");
  background-repeat: no-repeat;
  width: 20px;
  height: 20px;
  display: inline-block;
  position: relative;
  top: 4px;
}

#selected_category a:hover {
  text-decoration: none;
}

.terpan-categories_title {
  border-bottom: 1px solid #707070;
  text-decoration: underline;
  margin-top: 0;
  padding-bottom: 20px;
}

@media (min-width:1120px) {
  .terpan-categories {
    flex-direction: column;
    align-items: start;
  }

  .bde-shortcode-532-109.bde-shortcode {
    position: sticky;
    top: 100px;
    align-self: flex-start;
  }

}

@media (max-width: 767px) {

  .terpan-product-tags,
  .terpan-categories {
    gap: 10px;
  }
}

.terpan-product-tags span {
  display: flex;
  gap: 5px;
  align-items: center;
  font-size: 18px;
  font-weight: bold;
}

.terpan-product-tags span svg {
  fill: var(--bde-brand-primary-color);
  width: 38px;
  height: 38px;
  margin-bottom: 3px;
}

/* --------------------------------------- Labels shortcode --------------------------------------- */
.terpan-product-labels {
  display: flex;
  flex-direction: column;
  gap: 6px;
}

.terpan-product-labels span {
  display: flex;
  gap: 5px;
  align-items: center;
  font-size: 16px;
  font-weight: bold;
  text-align: left;
}

.terpan-product-labels span svg {
  fill: var(--bde-brand-primary-color);
  width: 35px;
  height: 35px;
  margin-bottom: 3px;
}

.terpan-product-labels span img {
  width: 35px;
  height: 35px;
  padding: 5px;
  margin-bottom: 3px;
}

@media (max-width: 767px) {
  .terpan-product-labels {
    gap: 4px;
  }

  .terpan-product-labels span {
    font-size: 14px;
  }

  .terpan-product-labels span svg {
    width: 30px;
    height: 30px;
  }

  .terpan-product-labels span img {
    width: 30px;
    height: 30px;
    padding: 3px;
  }
}

/* --------------------------------------- Search --------------------------------------- */
body .dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon {
  display: flex;
  align-items: center;
  margin-right: 10px;
  min-height: 40px;
}

.dgwt-wcas-open-pirx .dgwt-wcas-open .dgwt-wcas-suggestions-wrapp {
  box-shadow: 0 4px 4px rgba(0, 0, 0, 0.1);
}

/* ------------------------------------------- Checkout ------------------------------------------- */
.breakdance-woocommerce ul.woocommerce-shipping-methods li {
  flex-wrap: wrap;
}

.breakdance-woocommerce ul.woocommerce-shipping-methods .lpc_pick_up_widget_show_map {
  margin-top: 5px;
}

.woocommerce-shipping-methods li:has(label:last-child) {
  flex-wrap: nowrap;
}

.woocommerce-shipping-methods li label {
  font-weight: normal;
}

/* .woocommerce-cart .woocommerce-shipping-totals .woocommerce-shipping-destination,
.woocommerce-cart .woocommerce-shipping-totals .woocommerce-shipping-calculator {
  display: none;
} */

.lpc_pick_up_widget_show_map {
  background: var(--bde-button-primary-background-color);
  color: var(--bde-button-primary-text-color);
  border-color: var(--bde-button-primary-border-color);
  border-radius: 9999px;
  border-width: var(--bde-button-border-width);
  box-shadow: none;
  font-size: var(--bde-button-font-size);
  font-weight: var(--bde-button-font-weight);
  line-height: var(--bde-button-line-height);
  transition: var(--bde-woo-base-transition);
  transition-duration: var(--bde-transition-duration);
  display: inline-flex;
  text-transform: capitalize;
  border-style: solid;
  padding: var(--bde-button-padding-base);
  cursor: pointer;
  text-decoration: none;
  text-align: center;
  justify-content: center;
  align-items: center;
  width: -moz-max-content;
  width: max-content;
  flex-direction: row;
  gap: var(--bde-woo-base-small-gaps);
}

.lpc_pick_up_widget_show_map:hover {
  background: var(--bde-palette-color-4);
  border-color: var(--bde-palette-color-4);
}

/* -------------------------------------- Account addresses ------------------------------------- */
.breakdance-woocommerce .woocommerce-Address-title h2 {
  font-size: 24px;
  line-height: 1.5;
  margin-top: 0;
}

@media screen and (max-width: 767px) {
  .breakdance-woocommerce .woocommerce-Address-title h2 {
    font-size: 18px;
    line-height: 1.3;
  }

  .breakdance-woocommerce header.woocommerce-Address-title a.edit {
    font-size: 11px;
    line-height: 1.5;
    padding: 6px 15px;
  }
}

.woocommerce-page.woocommerce-account .breakdance-woocommerce .col2-set {
  flex-wrap: wrap;
}

/* ------------------------------------------- Filters ------------------------------------------ */
.breakdance-woocommerce .prdctfltr_filter_wrapper label {
  font-weight: normal;
}

.prdctfltr_wc .prdctfltr_filter_title {
  flex-wrap: wrap;
}



/***********  produits page d'accueil  *************/

.bd-variation-card__image {
  position: relative;
  display: block;
  overflow: hidden;
  aspect-ratio: 410 / 359;
  text-align: center;
  background-color: var(--bde-palette-color-1);
  border-radius: 20px;
}

.bd-variation-card__image picture {
  height: 100% !important;
  width: 100% im;
  display: block;
}

.bd-variation-card__image picture img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.bd-variation-card__img {
  display: block;
  width: 100%;
  height: auto;
  transition: opacity .3s ease, transform .3s ease;
}

.bd-variation-card__img--main {
  opacity: 1;
}

.bd-variation-card__img--hover {
  position: absolute;
  inset: 0;
  opacity: 0;
  pointer-events: none;
}

.bd-variation-card__title {
  line-height: inherit !important;
  margin-top: 0;
}

.bd-variation-card__title a {
  color: black !important;
  font-size: 18px;
  font-weight: 700;
  line-height: 1.2;
}

.bd-variation-card__price {
  font-size: 18px;
  font-weight: 500;
  margin-top: 10px;
}

/* Le swap ne se fait QUE si une image hover existe */
.bd-variation-card--has-hover:hover .bd-variation-card__img--main {
  opacity: 0;
}

.bd-variation-card--has-hover:hover .bd-variation-card__img--hover {
  opacity: 1;
}

/* images de la home qui sont animées en vue PC */
@media (max-width:768px) {
  .terpan-img-fit {
    transform: none !important;
    max-width: 300px;
  }
}



/****** listing produits ******/

@media (min-width:1120px) {
  .bde-wooshoppage {
    justify-content: space-between;
  }
}

@media (max-width:1119px) {
  .bde-wooshoppage {
    flex-direction: column !important;
  }
}

.breakdance-woocommerce .woocommerce-ordering {
  flex-grow: 0 !important;

}

@media (min-width:1120px) {
  .breakdance-woocommerce .woocommerce-ordering {
    margin-top: -20px;
  }
}


.ma-variante-sous-titre {
  display: block;
  margin-top: 4px;
}

.terpan-product-tags {
  list-style: none;
  display: block;
  padding-left: 0;
}

.terpan-product-tags li {
  display: flex;
  gap: 10px;
  align-items: center;
  font-size: 14px;
}

.terpan-product-tags li img {
  max-width: 25px;
  filter: brightness(0) saturate(100%) invert(10%) sepia(54%) saturate(7422%) hue-rotate(245deg) brightness(91%) contrast(115%);
}

#quote-li-icon {
  min-width: 90px;
}

.breakdance .bde-shortcode-323-145 li {
  justify-content: center;
}

.btn_contact {
  border-radius: 50px;
  padding: 14px 24px;
  border: 1px solid #fff;
  display: inline-block;
  transition: 0.3s;
  margin-top: 15px;
}

.btn_contact:hover {
  text-decoration: none !important;
  background: #fff;
  color: #1614AA !important;
}

.trp-language-switcher {
  display: flex;
}

.trp-language-item .trp-language-item-name {
  display: none;
}

/* page demande de devis */
.adf-request-quote-page.template_one {
  min-width: 100%;
}

.fpd-product-designer-wrapper {
  margin-top: 20px;
}

/* personnalisation de produits */
#fpd-start-customizing-button {
  padding: var(--bde-button-padding-base);
  border-radius: 9999px;
  font-size: 17px;
  font-weight: 600;
  line-height: 21px;
  color: var(--bde-palette-color-5);
  background: #1614AA;
  transition: 0.3s;
  text-decoration: none;
}

#fpd-start-customizing-button:hover {
  background: #000;
}

.text-slider {
  color: white !important;
  font-size: 30px !important;
  text-shadow: 0px 0px 10px #666666 !important;
  font-weight: 700;
}

/* flag rupture de stock */
.woocommerce ul.products li.product {
  position: relative;
}

.badge-rupture-stock {
  position: absolute;
  top: 12px;
  left: 12px;
  z-index: 5;
  background: #1614AA;
  color: #fff;
  padding: 6px 10px;
  font-size: 13px;
  font-weight: 600;
  border-radius: 10px;
}


.trp-language-switcher {
  right: 0;
}

.trp-language-item img {
  width: 25px !important;
  height: 25px !important;
  max-width: none !important;
  object-fit: contain;
}

/* .trp-switcher-dropdown-list {
  position: absolute;
  bottom: -11px;
} */

/* Parent du switcher */
.trp-language-switcher {
  position: relative !important;
  overflow: visible !important;
}

.trp-shortcode-anchor {
  display: none;
}

.trp-language-switcher .trp-switcher-dropdown-list {
  background: white;
}

/* IMPORTANT : caché par défaut quand TranslatePress le marque hidden */
.trp-language-switcher .trp-switcher-dropdown-list[hidden] {
  display: none !important;
  visibility: hidden !important;
  opacity: 0 !important;
  pointer-events: none !important;
}

/* Visible seulement quand TranslatePress retire hidden au clic */
.trp-language-switcher .trp-switcher-dropdown-list:not([hidden]) {
  display: flex !important;
  flex-direction: column !important;

  /* top: calc(100% + 12px) !important; */
  top: 100% !important;
  bottom: auto !important;

  /* left: 50% !important;
  transform: translateX(-50%) !important; */

  width: max-content !important;
  min-width: 44px !important;
  height: auto !important;

  visibility: visible !important;
  opacity: 1 !important;
  pointer-events: auto !important;
  z-index: 99999 !important;
}

@media (min-width:1120px) {
  .trp-language-switcher .trp-switcher-dropdown-list:not([hidden]) {
    position: absolute !important;
  }
}

.breakdance-woocommerce ul.wc-item-meta li,
.breakdance-woocommerce dl.variation:has(dt.variation-Personnalisation) {
  grid-template-columns: inherit;
}

/* reduit la taille du bouton personnaliser dans le panier latéral */
.bdc-view-fpd-thumbnail {
  font-size: 14px !important;
}

/* masque les status des devis */
.my_account_quotes thead th:nth-child(2),
.my_account_quotes tbody td:nth-child(2),
.quote_details tr:nth-child(3) {
  display: none;
}